Create or update a custom object instance
Intercom API version.
By default, it's equal to the version set in the app package.
A unique identifier for the Custom Object instance in the external system it originated from.
The time when the Custom Object instance was created in the external system it originated from.
The time when the Custom Object instance was last updated in the external system it originated from.
- The production API serverhttps://api.intercom.io/custom_object_instances/{custom_object_type_identifier}
- The european API serverhttps://api.eu.intercom.io/custom_object_instances/{custom_object_type_identifier}
- The australian API serverhttps://api.au.intercom.io/custom_object_instances/{custom_object_type_identifier}
curl -i -X POST \
https://api.intercom.io/custom_object_instances/Order \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.13' \
-d '{
"external_id": "123",
"external_created_at": 1392036272,
"external_updated_at": 1392036272,
"custom_attributes": {
"order_number": "ORDER-12345",
"total_amount": 99.99
}
}'successful
The id you have defined for the custom object instance.
The time when the Custom Object instance was created in the external system it originated from.
The time when the Custom Object instance was last updated in the external system it originated from.
The time the attribute was created as a UTC Unix timestamp
The time the attribute was last updated as a UTC Unix timestamp
The identifier of the custom object type that defines the structure of the custom object instance.
{ "id": "22", "type": "Order", "custom_attributes": { "order_number": "ORDER-12345", "total_amount": 99.99 }, "external_id": "123", "external_created_at": 1392036272, "external_updated_at": 1392036272, "created_at": 1734537745, "updated_at": 1734537745 }